%global pypi_name requests-cache
%global srcname requests_cache

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 1
Summary:        Persistent cache for requests library
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/requests-cache/
Source0:        %{pypi_source}
Patch1:         requests_cache-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
requests-cache is a persistent HTTP cache that provides an easy way to get
better performance with the python requests library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
requests-cache is a persistent HTTP cache that provides an easy way to get
better performance with the python requests library.

%pyproject_extras_subpkg -n python3-%{pypi_name} dynamodb mongodb redis bson json security yaml all

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x all

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Feb 21 2024 wally <wally> 1.2.0-1.mga10
+ Revision: 2042838
- new version 1.2.0 (mga#32874)
- add extras sub pkgs
- switch to pyproject rpm macros

* Mon Jan 29 2024 papoteur <papoteur> 0.9.3-3.mga10
+ Revision: 2035920
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.9.3-2.mga9
+ Revision: 1823350
- Mageia 9 Mass Rebuild
+ guillomovitch <guillomovitch>
- new version 0.9.3

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.9.2-1.mga9
+ Revision: 1783033
- version 0.9.2
- fix files list
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.5.2-5.mga9
+ Revision: 1706038
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.5.2-4.mga8
+ Revision: 1608305
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.5.2-3.mga8
+ Revision: 1534475
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.5.2-2.mga8
+ Revision: 1449132
- rebuild for python 3.8
- drop python 2 support

* Sat Aug 17 2019 guillomovitch <guillomovitch> 0.5.2-1.mga8
+ Revision: 1429486
- new version 0.5.2

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.5.0-1.mga8
+ Revision: 1417019
- imported package python-requests-cache

